Bug 731476 - RFE: TDL -> Kickstart
Summary: RFE: TDL -> Kickstart
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: imagefactory
Version: 1.0.0
Hardware: All
OS: All
high
high
Target Milestone: rc
Assignee: Ian McLeod
QA Contact: Rehana
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 18:35 UTC by William Henry
Modified: 2018-12-04 14:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-02 19:35:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 731475 None None None Never

Internal Links: 731475

Description William Henry 2011-08-17 18:35:51 UTC
Description of problem:

Having successfully defined TDLs for many of the images that they would like to launch in the cloud, users would like to be able to generate Kickstart files from those TDLs and take advantage of one TDL format for defining all their images in the cloud, for use with KVM and on bare metal images.  

Many users today have their own homegrown methods of defining and generating Kickstart files. Having TDL to Kickstart tool would allow one place to define all their images.  

(See also https://bugzilla.redhat.com/show_bug.cgi?id=731475)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 jrd 2011-08-17 18:48:42 UTC
It's always been envisioned that the image factory would be able to build bare metal images as well as cloudy ones.  This feature is of great interest to the guys who deal with ISVs, as well as for general use.

I'm taking this one as part of the ongoing development of the image factory.

Comment 4 jrd 2011-09-22 19:25:27 UTC
https://www.aeolusproject.org/redmine/issues/2388

We won't be able to deal with this until post 1.0.

Comment 5 wes hayutin 2011-09-28 16:39:11 UTC
making sure all the bugs are at the right version for future queries

Comment 7 wes hayutin 2012-02-22 23:45:43 UTC
moving version to 1.0.0 .  version = found in version


Note You need to log in before you can comment on or make changes to this bug.